.oak-course-detail {
    width: 100%;
    padding: var(--oak-spacing-2xl);
    background-color: var(--oak-white);
    color: var(--oak-black);
    display: flex;
    gap: var(--oak-spacing-2xl);
}

.oak-row[style^="background-image:"] .oak-course-detail {
    background: none;
}

.oak-row-2-col-50-50 .oak-course-detail {
    max-width: 50%;
}

.oak-course-detail-col {
    width: 100%;
    max-width: 50%;
    display: flex;
    flex-direction: column;
    gap: var(--oak-spacing-m);
}

.oak-course-detail-item {
    display: flex;
    flex-direction: column;
    gap: var(--oak-spacing-xs);
}

@media (max-width: 1920px) {
    .oak-row-2-col-50-50 .oak-course-detail {
        gap: var(--oak-spacing-xl);
    }
}

@media (max-width: 1440px) {
    .oak-course-detail {
        gap: var(--oak-spacing-xl);
        padding: var(--oak-spacing-xl);
    }

    .oak-row-2-col-50-50 .oak-course-detail {
        flex-direction: column;
        gap: var(--oak-spacing-m);
    }

    .oak-row-2-col-50-50 .oak-course-detail-col {
        max-width: 100%;
    }
}

@media (max-width: 1024px) {
    .oak-course-detail {
        order: 1;
    }

    .oak-row-2-col-50-50 .oak-course-detail {
        max-width: 100%;
        flex-direction: row;
        gap: var(--oak-spacing-xl);
    }

    .oak-row-2-col-50-50 .oak-course-detail-col {
        max-width: 50%;
    }
}

@media (max-width: 768px) {
    .oak-course-detail {
        padding: var(--oak-spacing-xl) var(--oak-spacing-m);
        gap: var(--oak-spacing-m);
    }
}

@media (max-width: 512px) {
    .oak-course-detail,
    .oak-row-2-col-50-50 .oak-course-detail {
        padding: var(--oak-spacing-l) var(--oak-spacing-s);
        flex-direction: column;
        gap: var(--oak-spacing-m);
    }

    .oak-course-detail-col,
    .oak-row-2-col-50-50 .oak-course-detail-col {
        max-width: 100%;
    }
}
